com.intellectualcrafters.plot.util

## Class LSetCube

- java.lang.Object
- - com.intellectualcrafters.plot.util.LSetCube

-     public class LSetCube
      extends java.lang.Object

  Cube utilities

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected class` | `LSetCube.LCycler`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LSetCube(org.bukkit.Location l1, int size)` Secondary constructor
    `LSetCube(org.bukkit.Location l1, org.bukkit.Location l2)` Constructor

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `LSetCube.LCycler` | `getCycler()` Creates a LCycler for the cube.
    `org.bukkit.Location` | `maxLoc()` Returns the absolute max. of the cube
    `org.bukkit.Location` | `minLoc()` Returns the absolute min. of the cube

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LSetCube

          public LSetCube(org.bukkit.Location l1,
                  org.bukkit.Location l2)

      Constructor
      Parameters:
        `l1` -
        `l2` -

    - #### LSetCube

          public LSetCube(org.bukkit.Location l1,
                  int size)

      Secondary constructor
      Parameters:
        `l1` -
        `size` -

  - ### Method Detail

    - #### minLoc

          public org.bukkit.Location minLoc()

      Returns the absolute min. of the cube
      Returns:
        abs. min

    - #### maxLoc

          public org.bukkit.Location maxLoc()

      Returns the absolute max. of the cube
      Returns:
        abs. max

    - #### getCycler

          public LSetCube.LCycler getCycler()

      Creates a LCycler for the cube.
      Returns:
        new lcycler